﻿# Create Azure VM from Images

Clear-Host

$cloudServiceName = "rangervm001"
$location = "East US 2"

$size = "Medium"
$vmName = "rangervm001"

$adminUser = "shawn"
$password = "p@ssw0rd"

$storename = "rangerstore123"


New-AzureStorageAccount -StorageAccountName $storename -Location $location -ErrorAction SilentlyContinue

$subsname = (Get-AzureSubscription).subscriptionname
Set-AzureSubscription -SubscriptionName $subsname -CurrentStorageAccountName $storename

$imageFamily = "Windows Server 2012 R2 Datacenter"

$imageName = Get-AzureVMImage | where { $_. ImageFamily -eq $imageFamily } |
    sort PublishedDate -Descending |
        select -ExpandProperty ImageName -First 1



#$vm1config = New-AzureVMConfig -Name $vmName -InstanceSize $size -ImageName $imageName |
#             Add-AzureProvisioningConfig -Windows -AdminUsername $adminUser -Password $password


#$vm1config = New-AzureVMConfig -Name $vmName -InstanceSize $size -ImageName $imageName
#$vm1config = $vm1config | Add-AzureProvisioningConfig -Windows -AdminUsername $adminUser -Password $password


#$vm1config = New-AzureVMConfig -Name $vmName -InstanceSize $size -ImageName $imageName
#$vm1config = Add-AzureProvisioningConfig -VM $vm1config -Windows -AdminUsername $adminUser -Password $password

$vm1config = New-AzureVMConfig -Name $vmName -InstanceSize $size -ImageName $imageName | 
             Add-AzureProvisioningConfig -Windows -AdminUsername $adminUser -Password $password |
             Add-AzureEndpoint -Name "HTTP" -Protocol tcp -PublicPort 80 -LocalPort 80 #|
             #Add-AzureDataDisk -CreateNew -DiskSizeInGB 20 -LUN 0 -DiskLabel "Data"

New-AzureVM -ServiceName $cloudServiceName -Location $location -VMs $vm1config


Get-AzureVM "rangervm001" -Name "rangervm001" | Add-AzureDataDisk -CreateNew -DiskSizeInGB 128 -DiskLabel "myData" -LUN 0 | Update-AzureVM 



Add-AzureProvisioningConfig -ResetPasswordOnFirstLogon
Add-AzureProvisioningConfig -DisableAutomaticUpdates 
