﻿Clear-Host

$cloudServiceName = "rangervm001"
$location = "East US 2"

$size = "Medium"
$vmName = "rangervm001"

$adminUser = "shawn"
$password = "p@ssw0rd"


$storename = "rangerstorage01"


$osdisk = "https://$storename.blob.core.windows.net/$vmName/os.vhd"
$datadisk = "https://$storename.blob.core.windows.net/$vmName/data.vhd"


New-AzureStorageAccount -StorageAccountName $storename -Location $location -ErrorAction SilentlyContinue

$subsname = (Get-AzureSubscription).subscriptionname
Set-AzureSubscription -SubscriptionName $subsname -CurrentStorageAccountName $storename


$imageFamily = "Windows Server 2012 R2 Datacenter"

$imageName = Get-AzureVMImage | where { $_. ImageFamily -eq $imageFamily } |
    sort PublishedDate -Descending |
        select -ExpandProperty ImageName -First 1



$vm1config = New-AzureVMConfig -Name $vmName -InstanceSize $size -ImageName $imageName -MediaLocation $osdisk |
                    Add-AzureProvisioningConfig -Windows -AdminUsername $adminUser -Password $password |
                    Add-AzureDataDisk -CreateNew -DiskSizeInGB 20 -LUN 0 -DiskLabel "Data" -MediaLocation $datadisk

New-AzureVM -ServiceName $cloudServiceName -Location $location -VMs $vm1config

